Index: LMDZ6/trunk/libf/phylmd/infotrac_phy.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 4319)
+++ LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 4325)
@@ -210,55 +450,7 @@
    END IF
 #endif
-#ifdef ISOVERIF
-   CALL msg('iso_iName = '//strStack(int2str(PACK(tracers(:)%iso_iName, MASK=tracers(:)%iso_iGroup==iH2O))), modname)
-#endif
+   CALL msg('end', modname)
 
 END SUBROUTINE init_infotrac_phy
 
-
-!==============================================================================================================================
-!=== THE ROUTINE isoSelect IS USED TO SWITCH FROM AN ISOTOPE FAMILY TO ANOTHER: ISOTOPES DEPENDENT PARAMETERS ARE UPDATED
-!     Single generic "isoSelect" routine, using the predefined index of the parent (fast version) or its name (first call).
-!==============================================================================================================================
-LOGICAL FUNCTION isoSelectByName(iName, lVerbose) RESULT(lerr)
-   IMPLICIT NONE
-   CHARACTER(LEN=*),  INTENT(IN)  :: iName
-   LOGICAL, OPTIONAL, INTENT(IN) :: lVerbose
-   INTEGER :: iIso
-   LOGICAL :: lV
-   lV = .FALSE.; IF(PRESENT(lVerbose)) lV = lVerbose
-   iIso = strIdx(isotopes(:)%parent, iName)
-   lerr = iIso == 0
-   IF(lerr) THEN
-      niso = 0; ntiso = 0; nzone=0; nphas=nqo; isoCheck=.FALSE.
-      CALL msg('no isotope family named "'//TRIM(iName)//'"', ll=lV)
-      RETURN
-   END IF
-   lerr = isoSelectByIndex(iIso, lV)
-END FUNCTION isoSelectByName
-!==============================================================================================================================
-LOGICAL FUNCTION isoSelectByIndex(iIso, lVerbose) RESULT(lerr)
-   IMPLICIT NONE
-   INTEGER,           INTENT(IN) :: iIso
-   LOGICAL, OPTIONAL, INTENT(IN) :: lVerbose
-   LOGICAL :: lv
-   lv = .FALSE.; IF(PRESENT(lVerbose)) lv = lVerbose
-   lerr = .FALSE.
-   IF(iIso == ixIso) RETURN                                      !--- Nothing to do if the index is already OK
-   lerr = iIso<=0 .OR. iIso>nbIso
-   CALL msg('Inconsistent isotopes family index '//TRIM(int2str(iIso))//': should be > 0 and <= '//TRIM(int2str(nbIso))//'"',&
-            ll=lerr .AND. lV)
-   IF(lerr) RETURN
-   ixIso = iIso                                                  !--- Update currently selected family index
-   isotope  => isotopes(ixIso)                                   !--- Select corresponding component
-   isoKeys  => isotope%keys;     niso     = isotope%niso
-   isoName  => isotope%trac;     ntiso    = isotope%ntiso
-   isoZone  => isotope%zone;     nzone    = isotope%nzone
-   isoPhas  => isotope%phase;    nphas    = isotope%nphas
-   itZonIso => isotope%itZonIso; isoCheck = isotope%check
-   iqIsoPha => isotope%iqIsoPha
-END FUNCTION isoSelectByIndex
-!==============================================================================================================================
-
-
 END MODULE infotrac_phy
Index: LMDZ6/trunk/libf/phylmd/traclmdz_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/traclmdz_mod.F90	(revision 4319)
+++ LMDZ6/trunk/libf/phylmd/traclmdz_mod.F90	(revision 4325)
@@ -175,5 +175,5 @@
     it = 0
     DO iq = 1, nqtot
-       IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+       IF(.NOT.(tracers(iq)%isInPhysics)) CYCLE
        it = it+1
        SELECT CASE(strLower(tracers(iq)%name))
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_mod.F90	(revision 4319)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_mod.F90	(revision 4325)
@@ -133,5 +133,4 @@
 
 SUBROUTINE iso_init()
-   USE ioipsl_getin_p_mod, ONLY: getin_p
    USE infotrac_phy,       ONLY: ntiso, niso, getKey
     USE strings_mod,       ONLY: maxlen
@@ -181,10 +180,5 @@
    iso_HTO = strIdx(isoName, 'H[3]HO');  CALL msg('iso_HTO='//int2str(iso_HTO), modname)
 
-   ! initialisation
-   ! lecture des parametres isotopiques:
-   ! pour que ca marche en openMP, il faut utiliser getin_p. Car le getin ne peut
-   ! etre appele que par un thread a la fois, et ca pose tout un tas de problemes,
-   ! d'ou tout un tas de magouilles comme dans conf_phys_m. A terme, tout le monde
-   ! lira par getin_p.
+   !--- Initialiaation: reading the isotopic parameters.
    CALL get_in('lambda',     lambda_sursat, 0.004)
    CALL get_in('thumxt1',    thumxt1,       0.75*1.2)
@@ -339,16 +333,16 @@
    USE mod_phys_lmdz_omp_data, ONLY :  is_omp_root
    USE mod_phys_lmdz_transfert_para, ONLY : bcast
-   CHARACTER(LEN=*),  INTENT(IN)    :: nam
-   CHARACTER(LEN=*),  INTENT(INOUT) :: val
-   CHARACTER(LEN=*),  INTENT(IN)    :: def
-   LOGICAL, OPTIONAL, INTENT(IN)    :: lDisp
+   CHARACTER(LEN=*),           INTENT(IN)    :: nam
+   CHARACTER(LEN=*),           INTENT(INOUT) :: val
+   CHARACTER(LEN=*), OPTIONAL, INTENT(IN)    :: def
+   LOGICAL,          OPTIONAL, INTENT(IN)    :: lDisp
    LOGICAL :: lD
 !$OMP BARRIER
    IF(is_mpi_root.AND.is_omp_root) THEN
-      val=def; CALL getin(nam,val)
+      IF(PRESENT(def)) val=def; CALL getin(nam,val)
       lD=.TRUE.; IF(PRESENT(lDisp)) lD=lDisp
       IF(lD) CALL msg(TRIM(nam)//' = '//TRIM(val))
-   END IF
-   CALL bcast(val)
+  END IF
+  CALL bcast(val)
 END SUBROUTINE getinp_s
 
@@ -360,14 +354,14 @@
    CHARACTER(LEN=*),  INTENT(IN)    :: nam
    INTEGER,           INTENT(INOUT) :: val
-   INTEGER,           INTENT(IN)    :: def
+   INTEGER, OPTIONAL, INTENT(IN)    :: def
    LOGICAL, OPTIONAL, INTENT(IN)    :: lDisp
    LOGICAL :: lD
 !$OMP BARRIER
    IF(is_mpi_root.AND.is_omp_root) THEN
-      val=def; CALL getin(nam,val)
+      IF(PRESENT(def)) val=def; CALL getin(nam,val)
       lD=.TRUE.; IF(PRESENT(lDisp)) lD=lDisp
       IF(lD) CALL msg(TRIM(nam)//' = '//TRIM(int2str(val)))
-   END IF
-   CALL bcast(val)
+  END IF
+  CALL bcast(val)
 END SUBROUTINE getinp_i
 
@@ -379,14 +373,14 @@
    CHARACTER(LEN=*),  INTENT(IN)    :: nam
    REAL,              INTENT(INOUT) :: val
-   REAL,              INTENT(IN)    :: def
+   REAL,    OPTIONAL, INTENT(IN)    :: def
    LOGICAL, OPTIONAL, INTENT(IN)    :: lDisp
    LOGICAL :: lD
 !$OMP BARRIER
    IF(is_mpi_root.AND.is_omp_root) THEN
-      Val=def; CALL getin(nam,val)
+      IF(PRESENT(def)) val=def; CALL getin(nam,val)
       lD=.TRUE.; IF(PRESENT(lDisp)) lD=lDisp
       IF(lD) CALL msg(TRIM(nam)//' = '//TRIM(real2str(val)))
-   ENDIF
-   CALL bcast(val)
+  END IF
+  CALL bcast(val)
 END SUBROUTINE getinp_r
 
@@ -398,14 +392,14 @@
    CHARACTER(LEN=*),  INTENT(IN)    :: nam
    LOGICAL,           INTENT(INOUT) :: val
-   LOGICAL,           INTENT(IN)    :: def
+   LOGICAL, OPTIONAL, INTENT(IN)    :: def
    LOGICAL, OPTIONAL, INTENT(IN)    :: lDisp
    LOGICAL :: lD
 !$OMP BARRIER
    IF(is_mpi_root.AND.is_omp_root) THEN
-      val=def; CALL getin(nam,val)
+      IF(PRESENT(def)) val=def; CALL getin(nam,val)
       lD=.TRUE.; IF(PRESENT(lDisp)) lD=lDisp
       IF(lD) CALL msg(TRIM(nam)//' = '//TRIM(bool2str(val)))
-   END IF
-   CALL bcast(val)
+  END IF
+  CALL bcast(val)
 END SUBROUTINE getinp_l
 
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4319)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4325)
@@ -16532,4 +16532,7 @@
  USE isotrac_mod, ONLY: strtrac,initialisation_isotrac,index_iso, &
 &       index_zone,izone_init
+ USE readTracFiles_mod, ONLY: newH2Oiso, oldH2Oiso
+ USE strings_mod, ONLY: strIdx, strHead, strTail
+
 #endif
         implicit none
@@ -16563,5 +16566,5 @@
         CHARACTER*5 str5
         real xmin,xmax    
-        CHARACTER*50 outiso  
+        CHARACTER*50 outiso, oldIso
         integer lnblnk
         LOGICAL :: found,phyetat0_get,phyetat0_srf
@@ -16585,9 +16588,11 @@
    do ixt=1,ntraciso
 
-      outiso=TRIM(isoName(ixt))
-      i = INDEX(outiso, '_', .TRUE.)
-      outiso = outiso(1:i-1)//outiso(i+1:LEN_TRIM(outiso))
-      write(*,*) 'phyiso_etat0_fichier 16621: ixt,outiso=',ixt,TRIM(outiso)
-
+      outiso = isoName(ixt)
+      k = strIdx(newH2Oiso, strHead(outiso, '_'))
+      oldIso = outiso; IF(k /= 0) oldIso = oldH2Oiso(k)
+      IF(INDEX(outiso, '_') /= 0) THEN
+        outiso = TRIM(outiso)//TRIM(strTail(outiso, '_'))
+        oldIso = TRIM(oldIso)//TRIM(strTail(outiso, '_'))
+      END IF
            
       ! on lit seulement si ixt<=niso ou si on initialise les traceurs d'après
@@ -16598,30 +16603,38 @@
 
       found=phyetat0_srf(1,iso_tmp_lonsrf,"XTSNOW"//TRIM(outiso),"Surface snow",0.)
-      if (.NOT.found) CALL abort_physic('isotopes_routines_mod', &
-                            'phyiso_etat0_fichier 16581: variable isotopique not found',1)
+      if (.NOT.found.AND.k/=0) found=phyetat0_srf(1,iso_tmp_lonsrf,"XTSNOW"//TRIM(oldIso),"Surface snow",0.)
+      if (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581: variable isotopique not found',1)
       xtsnow(ixt,:,:)=iso_tmp_lonsrf(:,:)
       
       found=phyetat0_srf(1,iso_tmp_lonsrf,"XTEVAP"//TRIM(outiso),"evaporation",0.)
+      if (.NOT.found.AND.k/=0) found=phyetat0_srf(1,iso_tmp_lonsrf,"XTEVAP"//TRIM(oldIso),"evaporation",0.)
       fxtevap(ixt,:,:)=iso_tmp_lonsrf(:,:)
 
       found=phyetat0_get(1,iso_tmp,"xtrain_f"//TRIM(outiso),"xrain fall",0.)
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp,"xtrain_f"//TRIM(oldIso),"xrain fall",0.)
       xtrain_fall(ixt,:)=iso_tmp(:)
 
       found=phyetat0_get(1,iso_tmp,"xtsnow_f"//TRIM(outiso),"snow fall",0.)
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp,"xtsnow_f"//TRIM(oldIso),"snow fall",0.)
       xtsnow_fall(ixt,:)=iso_tmp(:)
 
       found=phyetat0_get(klev,iso_tmp_lonlev,"XTANCIEN"//TRIM(outiso),"QANCIEN",0.)
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp_lonlev,"XTANCIEN"//TRIM(oldIso),"QANCIEN",0.)
       xt_ancien(ixt,:,:)=iso_tmp_lonlev(:,:)
 
       found=phyetat0_get(klev,iso_tmp_lonlev,"XTLANCIEN"//TRIM(outiso),"QLANCIEN",0.)
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp_lonlev,"XTLANCIEN"//TRIM(oldIso),"QLANCIEN",0.)
       xtl_ancien(ixt,:,:)=iso_tmp_lonlev(:,:)
 
       found=phyetat0_get(klev,iso_tmp_lonlev,"XTSANCIEN"//TRIM(outiso),"QSANCIEN",0.)
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp_lonlev,"XTSANCIEN"//TRIM(oldIso),"QSANCIEN",0.)
       xts_ancien(ixt,:,:)=iso_tmp_lonlev(:,:)
 
       found=phyetat0_get(1,iso_tmp,"XTRUNOFFLIC0"//TRIM(outiso),"RUNOFFLIC0",0.)  
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp,"XTRUNOFFLIC0"//TRIM(oldIso),"RUNOFFLIC0",0.)
       xtrun_off_lic_0(ixt,:)=iso_tmp(:)
 
       found=phyetat0_get(klev,iso_tmp_lonlev,"WAKE_DELTAXT"//TRIM(outiso),"Delta hum. wake/env",0.)  
+      if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp_lonlev,"WAKE_DELTAXT"//TRIM(oldIso),"Delta hum. wake/env",0.)
       wake_deltaxt(ixt,:,:)=iso_tmp_lonlev(:,:)
 
@@ -16666,7 +16679,9 @@
        if (ixt.le.niso) then
         found=phyetat0_get(1,iso_tmp,"XTSOL"//TRIM(outiso),"Surface hmidity / bucket",0.)  
+        if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp,"XTSOL"//TRIM(oldIso),"Surface hmidity / bucket",0.)
         xtsol(ixt,:)=iso_tmp(:)
 
         found=phyetat0_get(1,iso_tmp,"Rland_ice"//TRIM(outiso),"R land ice",0.)
+        if (.NOT.found.AND.k/=0) found=phyetat0_get(1,iso_tmp,"Rland_ice"//TRIM(oldIso),"R land ice",0.)
         Rland_ice(ixt,:)=iso_tmp(:)
 
Index: LMDZ6/trunk/libf/phylmdiso/isotrac_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotrac_mod.F90	(revision 4319)
+++ LMDZ6/trunk/libf/phylmdiso/isotrac_mod.F90	(revision 4325)
@@ -1,104 +1,27 @@
 #ifdef ISO
 #ifdef ISOTRAC
-! $Id: $
 
 MODULE isotrac_mod
-use infotrac_phy, ONLY: niso,ntiso,ntraceurs_zone=>nzone
-use isotopes_mod, only: ridicule
-
-IMPLICIT NONE
-SAVE
-
-! contient toutes les variables traceurs isotopiques + les routines specifiquement
-! traceurs isotopiques
-
-      real ridicule_trac
-      parameter (ridicule_trac=ridicule*1e4)
-
-integer, save ::  option_traceurs 
-integer, save ::  ntraceurs_zone_opt ! ntraceurs_zone propre à l'option
-! on vérifie que ça correspond bien à ntraceurs_zone d'infotrac
-integer, save ::  ntraceurs_zoneOR
-!$OMP THREADPRIVATE(option_traceurs,ntraceurs_zone_opt,ntraceurs_zoneOR)
-integer, save ::  initialisation_isotrac
-                ! 1 pour idéalisé
-                ! 0 pour lecture dans fichier
-!$OMP THREADPRIVATE(initialisation_isotrac)
-
-! variables spécifiques aux différentes options, mais necessaires au
-! calcul du nombre de zones de traceurs
-! si option=3
-integer, save :: use_bassin_atlantic
-!$OMP THREADPRIVATE(use_bassin_atlantic)
-integer, save :: use_bassin_medit
-!$OMP THREADPRIVATE(use_bassin_medit)
-integer, save :: use_bassin_indian
-!$OMP THREADPRIVATE(use_bassin_indian)
-integer, save :: use_bassin_austral
-!$OMP THREADPRIVATE(use_bassin_austral)
-integer, save :: use_bassin_pacific
-!$OMP THREADPRIVATE(use_bassin_pacific)
-integer, save :: use_bassin_merarabie
-!$OMP THREADPRIVATE(use_bassin_merarabie)
-integer, save :: use_bassin_golfebengale
-!$OMP THREADPRIVATE(use_bassin_golfebengale)
-integer, save :: use_bassin_indiansud
-!$OMP THREADPRIVATE(use_bassin_indiansud)
-integer, save :: use_bassin_tropics
-!$OMP THREADPRIVATE(use_bassin_tropics)
-integer, save :: use_bassin_midlats
-!$OMP THREADPRIVATE(use_bassin_midlats)
-integer, save :: use_bassin_hauteslats
-!$OMP THREADPRIVATE(use_bassin_hauteslats)
-integer, save :: bassin_atlantic
-!$OMP THREADPRIVATE(bassin_atlantic)
-integer, save :: bassin_medit
-!$OMP THREADPRIVATE(bassin_medit)
-integer, save :: bassin_indian
-!$OMP THREADPRIVATE(bassin_indian)
-integer, save :: bassin_austral
-!$OMP THREADPRIVATE(bassin_austral)
-integer, save :: bassin_pacific
-!$OMP THREADPRIVATE(bassin_pacific)
-integer, save :: bassin_merarabie
-!$OMP THREADPRIVATE(bassin_merarabie)
-integer, save :: bassin_golfebengale
-!$OMP THREADPRIVATE(bassin_golfebengale)
-integer, save :: bassin_indiansud
-!$OMP THREADPRIVATE(bassin_indiansud)
-integer, save :: bassin_tropics
-!$OMP THREADPRIVATE(bassin_tropics)
-integer, save :: bassin_midlats
-!$OMP THREADPRIVATE(bassin_midlats)
-integer, save :: bassin_hauteslats
-!$OMP THREADPRIVATE(bassin_hauteslats)
-! si option=4
-integer nzone_temp
-parameter (nzone_temp=1)
-real, save :: zone_temp1,zone_tempf,zone_tempa  
-!$OMP THREADPRIVATE(zone_temp1,zone_tempf,zone_tempa)
-! si option 14
-integer nzone_lat
-parameter (nzone_lat=4)
-integer nzone_pres
-parameter (nzone_pres=3)
-real, save :: zone_pres1,zone_presf,zone_presa 
-!$OMP THREADPRIVATE(zone_pres1,zone_presf,zone_presa) 
-real, save :: dlattag,lattag_min
-!$OMP THREADPRIVATE(dlattag,lattag_min)
-
-
-! option 1: on trace evap ocean et continent séparement  
+  USE infotrac_phy,      ONLY: niso, ntiso, nzone
+  USE readTracFiles_mod, ONLY: delPhase
+  USE isotopes_mod,      ONLY: ridicule, get_in
+
+  IMPLICIT NONE
+  SAVE
+
+!=== CONTENT: ALL THE ISOTOPIC TRACERS RELATED VARIABLES ===
+!
+! option 1: on trace evap ocean et continent separement  
 ! option 2: on trace evap ocean, continent et evap precip
-! option 3: on trace evap différents bassins océaniques 
-!       + continents + résidu
-!       attention, choisir dans ce cas les bassins océaniques
+! option 3: on trace evap differents bassins oceaniques 
+!       + continents + residu
+!       attention, choisir dans ce cas les bassins oceaniques
 !       dans iso_traceurs_opt3F90.h 
-! option 4: tracage par température minimale
-!       dans ce cas, on définit des bins dans iso_traceurs_opt4.h
-! option 5: pour AMMA: on taggue résidu/AEJ/flux mousson/Harmattan
+! option 4: tracage par temperature minimale
+!       dans ce cas, on definit des bins dans iso_traceurs_opt4.h
+! option 5: pour AMMA: on taggue residu/AEJ/flux mousson/Harmattan
 ! option 6: taggage des ddfts
-! option 7: pour Sandrine: taggage de la vapeur à 700hPa pour omega500<-20 TODO
-! option 8: pour Sandrine: taggage de la vapeur entre 950 et 800hPa, omega de 0 à 25 hPa et de l'évaoration en omega<-20. TODO
+! option 7: pour Sandrine: taggage de la vapeur a 700hPa pour omega500<-20 TODO
+! option 8: pour Sandrine: taggage de la vapeur entre 950 et 800hPa, omega de 0 a 25 hPa et de l'evaoration en omega<-20. TODO
 ! option 9: taggage du condensat et de la revap precip
 ! option 10: taggage evap oce, transpiration et evaporation
